/*
******************************************************************

CSS for mobile/responsive navigation

(c) sinntun.codes
******************************************************************
*/


.mobile-div {
  position: fixed;
  height: 0;
  width: 100vw;
  overflow: hidden;
  z-index: 2000;
  -webkit-transition: ease-in-out .6s;
  -o-transition: ease-in-out .6s;
  transition: ease-in-out .6s;
}

.mobile-menu {
  height: auto;
  width: auto;
  text-align: center;
  display: block;
}

.menu-line {
  line-height: 40px;
  width: 100%;
  height: 4px;
  margin-bottom: 6px;
  -webkit-transition: ease .3s;
  -o-transition: ease .3s;
  transition: ease .3s;
}


.close-page-canvas {
  left: 60% !important;
}




/*** menu-trigger
******************************************************************************* */

.menu-trigger {
  display: none;
  width: 35px;
  height: 30px;
  cursor: pointer;
  transition: ease-in .3s;
  position: relative;
  right: 40px;
  z-index: 2100;
}

.menu-trigger.menu-line-box {
  padding: 26px 15px;
  width: 30px;
  height: 8px;
  transition: ease .3s;
}

.menu-trigger .menu-line {
  transition: ease-in .2s;
  width: 100%;
  height: 4px;
  margin: 0 auto 9px;
}

.menu-trigger .menu-line:last-child {
  margin-bottom: 0;
}

.menu-trigger:hover .menu-line:nth-child(2) {
  width: 80%;

}

.menu-trigger .main-content {
  position: relative;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  transition: ease-in-out .4s;
}

.menu-trigger.open .menu-line:nth-child(1) {
  transform: rotate(45deg);
  position: relative;
  top: 13px;
}

.menu-trigger.open .menu-line:nth-child(2) {
  display: none;
}

.menu-trigger.open .menu-line:nth-child(3) {
  transform: rotate(-45deg);
}

.subnav-nav-trigger::before {
  font-family: "Font Awesome 6 Pro", sans-serif;
  font-weight: 900;
  content: "\f078";
  color: #00377A;
}

.subnav-nav-trigger.active::before,
.subnav-nav-trigger.opened::before {
  color: #fff;
}

.nav2-mobile-item .subnav-nav-trigger::before {
}

.subnav-nav-trigger {
  height: 32px;
  cursor: pointer;
  float: right;
  font-size: 24px;
  text-align: center;
  overflow: hidden;
  padding: 5px;
  transition: ease-in-out 0.3s;
  position: absolute;
  right: 35px;
  top: 3px;
  transform: rotate(-90deg);
}

.subnav-nav-trigger.opened {
  transform: rotate(0deg);
}

.nav1-additional {
  padding: 12px 40px;
  box-sizing: border-box;
  position: relative;
  background: #fff;
  color: #009CDA;
  font-size: 18px;
}

.nav1-additional-link::before {
  font-family: 'Font Awesome 6 Pro';
  font-weight: 700;
  font-size: 18px;
  margin-right: 25px;
}

.nav1-additional-link.search::before {
  content: '\f002';
  margin-right: 23px;
}

.nav1-additional-link.login::before {
  content: '\f007';
}

.nav1-additional-link.logout::before {
  content: '\f007';
  font-weight: 700;
}

.nav1-additional-link.expert-search::before {
  content: "\e5c5";
  margin-right: 18px;
}

.nav1-additional-link.contact::before {
  content: "\f82d";
}

.nav1-additional-link.membership::before {
  content: "\f234";
  margin-right: 18px;
}

.nav1-additional-link.start::before {
  content: '\f015';
}

.nav1-additional:nth-child(5) {
  border-bottom: 15px solid #00377a;
}

.nav1-mobile-div {
  overflow: hidden;
}

.nav1-mobile {
  width: auto;
  text-align: left;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
  height: auto;
  overflow: hidden;

}
.nav1-mobile li {
  width: 100%;
}

.nav1-mobile-div.menu-2 .nav1-mobile,
.nav1-mobile-div.menu-2 .nav2-mobile {
  height: auto;
  /*position: relative;*/
  /*   top: 50%;
     left: 100px;*/
  /*transform: translate(-50%, 0%);*/
  border: none;
  display: flex;
  flex-flow: column;
  gap: 5px;
}

.nav1-mobile-div.menu-2 .nav1-mobile-item {
  border: none;

}

.nav1-mobile-item.opened,
.nav1-mobile-item:has(.active){
  background: #009CDA;
}

.nav1-mobile-div.menu-2 .nav1-link-mobile {

}

.nav1-mobile-div.menu-2 .nav1-link:hover {

}


.nav1-mobile-div.menu-1 {
  position: fixed;
  width: 100vw;
  height: calc(100vh - 80px);
  top: 90px;
  right: -100vw;
  transition: ease-in-out .4s;
}

.nav1-mobile-div.menu-2 {
  position: fixed;
  width: 100vw;
  height: 0;
  right: 0;
  transition: ease-in-out .4s;
  z-index: 999;
  overflow: auto;
  padding-bottom: 0;
}

.nav1-mobile-div.menu-3 {
  position: fixed;
  width: 60vw;
  height: 100vh;
  top: 0;
  right: -60vw;
  transition: ease-in-out .4s;
}

.nav2-mobile {
  background: #00377a;
  margin-left: -80px;
  margin-right: -80px;
  padding: 5px 40px 0px 40px;
  font-size: 18px;
  transform: translateY(12px);
}

.nav3-mobile {
  background: white;
  margin-left: -80px;
  margin-right: -80px;
  padding: 5px 40px 0px 40px;
  font-size: 18px;
  transform: translateY(12px);
}

/*****************************************************************
*********** Lang-Selector
******************************************************************/

.lang-selector-mobile {
  display: none;
}
